import {getRecipeLuma, Recipe} from '../../model/recipe.model'
import {Component, Input} from '@angular/core'

@Component({
  selector: 'cre-color-preview',
  templateUrl: 'color-preview.html',
  styleUrls: ['color-preview.sass']
})
export class CreColorPreview {
  @Input() recipe: Recipe

  get isDarkColor(): boolean {
    return getRecipeLuma(this.recipe) < 100
  }
}
