import {NgModule} from '@angular/core'
import {MatTableModule} from '@angular/material/table'
import {CommonModule} from '@angular/common'
import {CreInteractiveCell, CreTable} from './tables'

@NgModule({
  declarations: [
    CreTable,
    CreInteractiveCell
  ],
  imports: [
    MatTableModule,
    CommonModule
  ],
  exports: [
    CreTable,
    CreInteractiveCell,
  ]
})
export class CreTablesModule {
}
