import {Component} from '@angular/core'
import {SubMenuComponent} from '../../modules/shared/components/sub-menu/sub-menu.component'
import {NavLink} from '../../modules/shared/components/nav/nav.component'
import {Permission} from '../../modules/shared/model/user'

@Component({
  selector: 'cre-administration',
  templateUrl: './administration.component.html',
  styleUrls: ['./administration.component.sass']
})
export class AdministrationComponent extends SubMenuComponent {
  links: NavLink[] = [
    {route: '/admin/user', title: 'Utilisateurs', permission: Permission.VIEW_USERS},
    {route: '/admin/group', title: 'Groupes', permission: Permission.VIEW_USERS},
    {route: '/admin/config', title: 'Configuration', permission: Permission.ADMIN}
  ]
}
